This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1026173 - More style changes in 3.99
More style changes in 3.99
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 01:16 EST by Ruediger Landmann
Modified: 2013-12-18 21:46 EST (History)
4 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2013-11-04 01:16:22 EST
Description of problem:
A few more styles changed unexpectedly between 3.2 and 3.99; specifically:

* <substeps> are now represented by a number (was a lower-case letter)
* <stepalternatives> are now represented by a bullet (was an upper-case letter)
* <terms> in <variablelists> are now in plain body font (used to be bold)  

Version-Release number of selected component (if applicable):
publican-3.9.9-0.fc19.t24.noarch

How reproducible:
100%

Steps to Reproduce:
1. Package a book for the web containing the structures given at the end of this report


Actual results:
Substeps, stepalternatives, and terms unstyled

Expected results:
Substeps, stepalternatives, and terms styled

Additional info:
Sample XML:

<procedure><title>An Example Procedure</title>
<step>
  <para>
    A Step
  </para>
</step>
<step>
  <para>
    Another Step
  </para>
  <substeps>
    <step>
      <para>
        Substeps can be nested indefinitely deep.
      </para>
    </step>
    <step>
      <para>
        Substeps can be nested indefinitely deep.
      </para>
    </step>
    <step>
      <para>
        Substeps can be nested indefinitely deep.
      </para>
    </step>
    <step>
      <para>
        Substeps can be nested indefinitely deep.
      </para>
    </step>
    <step>
      <para>
        Substeps can be nested indefinitely deep.
      </para>
    </step>
  </substeps>
</step>
<step>
	<stepalternatives>
		<step>
		<para>
		Try this-a-way
		</para>
		</step>
		<step>
		<para>
		or that-a-way
		</para>
		</step>
	</stepalternatives>
</step>
<step>
  <para>
    A Final Step
  </para>
</step>
</procedure>

<variablelist><title>Font Filename Extensions</title>
<varlistentry><term><filename>TTF</filename></term>
<listitem>
<para>
TrueType fonts.
</para>
</listitem>
</varlistentry>
<varlistentry><term><filename>PFA</filename></term>
              <term><filename>PFB</filename></term>
<listitem>
<para>
PostScript fonts.  <filename>PFA</filename> files are common on 
<acronym>UNIX</acronym> systems, <filename>PFB</filename> files
are more common on Windows systems.
</para>
</listitem>
</varlistentry>
</variablelist>
Comment 1 Ruediger Landmann 2013-11-04 01:19:20 EST
Also, the graphical (grey arrow) bullets for itemizedlists have been lost -- they're just presenting as black dots now.
Comment 3 HSS Product Manager 2013-11-04 17:37:31 EST
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 4 Ruediger Landmann 2013-11-04 19:10:08 EST
Similar to substeps: nested lists all use arabic numerals; previously, they used lower-alpha. 

specifically, this didn't make it into db4.css:

ol ol {


     1. list-style-type: lower-alpha;

} 

(thanks for the catch, Lee Newson!)
Comment 6 Ruediger Landmann 2013-11-04 19:38:22 EST
Better <variablelist> test for comment #0 -- that example from the DocBook Guide contains <filename>s in its <term>s, which are bolded separately :/

<variablelist><title>Font Filename Extensions</title>
<varlistentry><term>TTF/term>
<listitem>
<para>
TrueType fonts.
</para>
</listitem>
</varlistentry>
<varlistentry><term>PFA</term>
              <term>PFB</term>
<listitem>
<para>
PostScript fonts.  <filename>PFA</filename> files are common on 
<acronym>UNIX</acronym> systems, <filename>PFB</filename> files
are more common on Windows systems.
</para>
</listitem>
</varlistentry>
</variablelist>
Comment 7 Jeff Fearn 2013-11-04 23:57:05 EST
To ssh://git.fedorahosted.org/git/publican.git
   25175b0..5c843ac  HEAD -> devel
Comment 9 Jeff Fearn 2013-11-06 21:23:22 EST
To ssh://git.fedorahosted.org/git/publican.git
   6cb7406..e5ea929  HEAD -> devel
Comment 11 Ruediger Landmann 2013-11-28 19:35:53 EST
All fixed in publican-3.9.9-0.fc19.t28.noarch

Note You need to log in before you can comment on or make changes to this bug.